gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A tree-like data structure that can be used with the The object is a list model for use with a widget. It implements the interface, and consequentialy, can use all of the methods available there. It also implements the interface so it can be sorted by the view. Finally, it also implements the tree drag and drop interfaces. GLib.Object Gtk.TreeModel GLib.IWrapper Gtk.TreeDragSource Gtk.TreeDragDest Gtk.TreeSortable GLib.IWrapper System.IDisposable
- Method
  System.Int32 Returns the number of children that the has. an object of type As a special case, if iter is , then the number of toplevel nodes is returned.
- Method
  System.Boolean `` Sets the TreeIter object pointed to by the iter param to point to the first child of this tree. an object of type an object of type
- Method
  System.Void `` Prepends a new row to the . an object of type It will prepend a row to the top level. will be changed to point to this new row. The row will be empty after this method is called. To fill in values, you need to call .
- Method
  System.Void `` Appends a new row to the . an object of type

  It will append a row to the top level. will be changed to point to this new row. The row will be empty after this method is called. To fill in values, you need to call .

- Method
  System.Void Fires a event. Designed to be called by routines that change the sort of the tree.
- Method
  System.Void `` `` Sets which column is to be used to sort the data in the tree. A , the sort column index. A , the kind of sort to use
- Method
  System.Void `` `` `` `` Sets a function that should be used to be sort a particular column. A , the index of the column to be sorted A , the function to use for sorting An , pointer to the user data, or A to be called when user data is destroyed, or . This method is meant to be used together with .(FIXME: explain the user data parameter.)
- Method
  System.Void `` `` `` Sets a function that should be used to be sort columns by default if not otherwise specified by . A , the function to use for sorting An , pointer to the user data, or A to be called when user data is destroyed, or . This method is meant to be used together with .(FIXME: explain the user data parameter.)
- Method
  System.Boolean `` `` Tests whether can be dropped on . a , potential drop destination a , potential data to be dropped. a , true if drop is allowed
- Method
  System.Boolean `` `` Drags data received into this object. A , the destination path of the drag A , the data that was dragged A boolean, true if the data was successfully received.
- Method
  System.Boolean `` `` Method used when this TreeStore is part of a source widget for a drag-and-drop operation; gets the data that was dragged from the associated widget. a A A , true if the operation succeeded.
- Method
  System.Boolean `` Returns whether or not a given row can be dragged. a A boolean, true if the row is draggable.
- Method
  System.Boolean `` When this TreeStore is the data source for a drag operation and the drag operation is a move, this method runs to delete the data after the data has been received by the target widget. A , the path of the data to delete. A , true if the operation succeeds.
- Method
  System.Void `` `` Emits the event. an object of type an object of type
- Method
  System.Void `` Calls on each node in model in a depth-first fashion. an object of type If func returns , then the tree ceases to be walked, and this method returns.
- Method
  System.Boolean `` Gets the first iterator in the tree (the one at the path "0") and returns . an object of type an object of type Returns if the tree is empty.
- Method
  System.Void `` `` Emits the event. an object of type an object of type
- Method
  Gtk.TreePath `` Gets the of . an object of type an object of type
- Method
  System.Boolean `` Returns if iter has children, otherwise. an object of type an object of type
- Method
  System.Void `` Lets the tree ref the node. an object of type

  This is an optional method for models to implement. To be more specific, models may ignore this call as it exists primarily for performance reasons.

  This function is primarily meant as a way for views to let caching model know when nodes are being displayed (and hence, whether or not to cache that node.) For example, a file-system based model would not want to keep the entire file-hierarchy in memory, just the sections that are currently being displayed by every current view.

  A model should be expected to be able to get an iter independent of its referenced state.

- Method
  System.Int32 `` Returns the number of children that has. an object of type an object of type As a special case, if is , then the number of toplevel nodes is returned.
- Method
  System.Void `` `` Emits the event. an object of type an object of type
- Method
  System.Void `` Emits the event. an object of type This should be called by models after a row has been removed. The location pointed to by should be the location that the row previously was at. It may not be a valid location anymore.
- Method
  System.Void `` `` Gets the values of child properties for the row pointed to by . an object of type a , pointer to the va_list data structure of arguments (FIXME: clarify what va_lists look like)
- Method
  System.Void `` Lets the tree unref the node. an object of type This is an optional method for models to implement. To be more specific, models may ignore this call as it exists primarily for performance reasons. For more information on what this means, see . Please note that nodes that are deleted are not unreferenced.
- Method
  System.Void Removes all rows from the
- Method
  System.Void `` `` Sets the values of child properties for the row pointed to by . an object of type a , pointer to the va_list data structure of arguments (FIXME: clarify what va_lists look like)
- Method
  System.Boolean `` `` Returns if is an ancestor of . an object of type an object of type an object of type That is, is the parent (or grandparent or great-grandparent) of .
- Method
  System.Void `` `` `` Sets the data in the cell specified by and . an object of type an object of type an object of type The type of value must be convertible to the type of the column.
- Method
  System.Int32 `` Returns the depth of . an object of type an object of type This will be 0 for anything on the root level, 1 for anything down a level, etc.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of TreeStore, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  System.Int32 Returns the number of columns supported by the . an object of type
- Property
  Gtk.TreeModelFlags Returns a set of flags supported by this . an object of type The flags are a bitwise combination of . The flags supported should not change during the lifecycle of the .
- Event
  System.EventHandler Emitted when the sort column of the has changed.
- Event
  Gtk.RowHasChildToggledHandler Emitted when a child of a row is toggled.
- Event
  Gtk.RowInsertedHandler Emitted when a row is inserted into the .
- Event
  Gtk.RowDeletedHandler Emitted when a row is deleted from the .
- Event
  Gtk.RowChangedHandler Emitted when a row is in the is changed.
- Event
  Gtk.RowsReorderedHandler Emitted when the rows of the are re-ordered.
- Method
  System.Boolean `` `` Sets to be the child of the root node, using the given index. an object of type an object of type an object of type In this case, the nth root node is set.
- Method
  System.Void `` `` Inserts a new row after . an object of type an object of type

  If is , then the row will be prepended to the children of its parent. If parent and sibling are , then the row will be prepended to the toplevel. If both and parent are set, then parent must be the parent of . When is set, parent is optional.

- Method
  System.Void `` `` Inserts a new row before . an object of type an object of type If is , then the row will be appended to the children of its parent. If parent and sibling are , then the row will be appended to the toplevel. If both and parent are set, then parent must be the parent of . When is set, parent is optional.
- Method
  System.Void `` `` Creates a new row at . an object of type an object of type If parent is not , then the row will be made a child of parent. Otherwise, the row will be created at the toplevel. If is larger than the number of rows at that level, then the new row will be inserted to the end of the list. will be changed to point to this new row. The row will be empty after this function is called. To fill in values, you need to call .
- Method
  System.Boolean `` `` `` Sets to be the child of , using the given index. an object of type an object of type an object of type an object of type The first index is 0. If is too big, or has no children, is set to an invalid iterator and is returned. will remain a valid node after this function has been called.
- Method
  System.Boolean `` `` Gets the at . an object of type an object of type an object of type Otherwise, is left invalid and is returned.
- Method
  System.Boolean `` `` Sets to point to the first child of . an object of type an object of type an object of type If has no children, is returned and is set to be invalid. will remain a valid node after this function has been called.
- Method
  System.Boolean `` `` Sets to a valid iterator pointing to . an object of type an object of type an object of type
- Method
  System.Boolean `` `` Sets to be the parent of . an object of type an object of type an object of type If is at the toplevel, and does not have a parent, then is set to an invalid iterator and is returned. will remain a valid node after this function has been called.
- Method
  Gtk.TreeIter `` Appends a new row to the . a with the data for the row. a
- Method
  Gtk.TreeIter `` Appends a new row to the . a with the data for the row. a
- Method
  Gtk.TreeIter `` `` Appends a new row to the . the parent row to attach the new row under. a with the data for the row. a To append the new row to the toplevel, use the
- Method
  Gtk.TreeIter `` `` Appends a new row to the . the parent row to attach the new row under. a with the data for the row. a To append the new row to the toplevel, use the
- Method
  System.String `` Marshals the given into a path string. a a
- Method
  System.Void `` `` Move the row pointed to by to the position after . If is , will be moved to point to the start of the list. a a This only works in unsorted stores.
- Method
  System.Void `` `` Swaps rows a and b in the store. a a This is only works in unsorted stores.
- Method
  System.Void `` `` Move the row pointed to by to the position before . If is , will be moved to point to the end of the list. a a This only works in unsorted stores.
- Method
  System.Boolean `` Test whether is valid for this TreeStore. a a , true if is valid. WARNING: this method is slow and is only intended for debugging/testing purposes.
- Constructor
  Creates a new instance.
  a
  a
  Treestore store; store = new TreeStore (typeof (int), typeof (string));
- Method
  System.Boolean `` `` Report on which column is currently being used to sort this TreeStore. a , gets filled with the column number that's currently used for sorting a , the current type of sort (ascending or descending) a , false if the default sort column for this TreeStore is being used, true if some other sort column is being used.
- Method
  System.Void `` `` `` Sets the value of the specified column in the row pointed by iter. a a a The type of specified column must be a .
- Method
  System.Void `` `` `` Sets the value of the specified column in the row pointed by iter. a a a The type of specified column must be a .
- Method
  System.Void `` `` `` Sets the value of the specified column in the row pointed by iter. a a a The type of specified column must be an .
- Method
  System.Void `` `` `` Sets the value of the specified column in the row pointed by iter. a a a The type of specified column must be a .
- Method
  System.Void `` `` `` Sets the value of the specified column in the row pointed by iter. a a a The type of specified column must be an
- Method
  System.Void `` `` `` Sets the value of the specified column in the row pointed by iter. a a a The type of specified column must be an .
- Method
  System.Void `` `` `` Sets the value of the specified column in the row pointed by iter. a a a The type of specified column must be an .
- Method
  System.Object `` `` Gets a value at row and column . a a a
- Property
  System.Boolean Find out whether this TreeStore has a default sort function. a , true if there is a default sort function. To set a default sort function, use .
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Sets what types go in each column of a ListStore. a This function is meant primarily for #GObjects that inherit from and should only be used when constructing a new . It will not function after a row has been added or after a method on the interface has been called.
- Method
  GLib.GType `` Gets the type of data stored in column number . a , the column to check a
- Method
  System.Void `` `` `` Default handler for the event. a a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  System.Boolean `` Removes a row from the store. a a After being removed, is set to be the next valid row, or invalidated if it pointed to the last row in the store.
- Method
  System.Int32 `` Reorders the ListStore. a . (FIXME: Does this binding work?)
- Method
  Gtk.TreeIter `` `` Inserts a new row at position . a a pointing to the new row. If is larger than the number of rows on the list, then the new row will be appended to the list. The row will be empty before this function is called. To set the value of the new row, use .
- Method
  Gtk.TreeIter `` Adds a new row to the beginning of the tree. a pointing to the new row. The row will be empty before this function is called. To set the value of the new row, use .
- Method
  Gtk.TreeIter `` `` Inserts a new row before . a a a

  If is , then the row will be appended to the children of its parent. If parent and sibling are , then the row will be appended to the toplevel. If both and parent are set, then parent must be the parent of . When is set, parent is optional.

- Method
  Gtk.TreeIter `` `` Inserts a new row after . a a a

  If is , then the row will be prepended to the children of its parent. If parent and sibling are , then the row will be prepended to the toplevel. If both and parent are set, then parent must be the parent of . When is set, parent is optional.

- Method
  Gtk.TreeIter `` Appends a new row to the . a a

  If parent and is , then the row will be prepended to the toplevel.

- Method
  System.Int32 `` `` Emits the event. a a a
- Method
  System.Void `` `` `` Gets the value of row of column and puts it in . a a a
- Method
  System.Boolean `` Sets to point to the node following it at the current level. an object of type an object of type If there is no next iter, is returned and iter is set to be invalid.
- Constructor
  To be added
  a
  To be added